Bug 1464844 - tigervnc does not support more than 7 mouse buttons
tigervnc does not support more than 7 mouse buttons
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: tigervnc (Show other bugs)
7.5
All Linux
medium Severity medium
: rc
: 7.5
Assigned To: Jan Grulich
Desktop QE
:
Depends On:
Blocks: 1479323 1479818
  Show dependency treegraph
 
Reported: 2017-06-26 00:28 EDT by Rod Nayfield
Modified: 2017-08-24 06:28 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-16 10:50:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rod Nayfield 2017-06-26 00:28:20 EDT
Description of problem:

TigerVNC does not support a typical 9 button mouse.


Version-Release number of selected component (if applicable):

all including upstream source


How reproducible:

Always


Steps to Reproduce:
1.  Own 9-button mouse (L/R/middle, wheel up/down, wheel L/R, back, forward)
2.  view xinput/xev information via vnc and use mouse

Actual results:
first 7 events (through wheel L/R) are sent).  Back/Forward (side buttons) are not sent.


Expected results:
back/Forward buttons work.

Additional info:

https://github.com/TigerVNC/tigervnc/blob/0536d0975bb9e8e4a8aae693bd79157955a896b1/unix/xserver/hw/vnc/Input.c#L47

#define BUTTONS 7
Comment 2 Rod Nayfield 2017-06-26 00:30:15 EDT
This limit requires non-free software for VDI applications.
Comment 4 Joe Giordano 2017-08-10 15:38:15 EDT
Also tested with spice and didn't have the capability of all 7 buttons.
Comment 8 Jan Grulich 2017-08-14 05:09:03 EDT
Testing builds:
https://jgrulich.fedorapeople.org/tigervnc/
Comment 9 Jan Grulich 2017-08-16 10:50:53 EDT
Hmm, it seems that in the end we cannot fix it this way and actually we cannot fix ithis at all. According to specification the RFB protocol can support only up to 7 mouse buttons. I should have read the specs first.

See https://github.com/TigerVNC/tigervnc/pull/497.
Comment 10 Jan Grulich 2017-08-24 06:28:15 EDT
There is possibility of defining a vnc extension, but it doesn't seem to be an easy task and I'm already overhelmed with other packages/bugs. On the other hand you can use the scratch build above where this will work, but it will break compatibility with other VNC server/clients so you can use it only with the exactly same build of tigervnc (both server and the client).

Note You need to log in before you can comment on or make changes to this bug.